MultiColumnRestriction.SliceRestriction (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.restrictions

## Class MultiColumnRestriction.SliceRestriction

- java.lang.Object
- - org.apache.cassandra.cql3.restrictions.MultiColumnRestriction
  - - org.apache.cassandra.cql3.restrictions.MultiColumnRestriction.SliceRestriction

- All Implemented Interfaces:
    Restriction, SingleRestriction
  Enclosing class:
    MultiColumnRestriction

      public static class MultiColumnRestriction.SliceRestriction
      extends MultiColumnRestriction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.restrictions.MultiColumnRestriction

      `MultiColumnRestriction.EQRestriction, MultiColumnRestriction.INRestriction, MultiColumnRestriction.InRestrictionWithMarker, MultiColumnRestriction.InRestrictionWithValues, MultiColumnRestriction.NotNullRestriction, MultiColumnRestriction.SliceRestriction`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.restrictions.MultiColumnRestriction

      `columnDefs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SliceRestriction(java.util.List<ColumnDefinition> columnDefs, Bound bound, boolean inclusive, Term term)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFunctionsTo(java.util.List<Function> functions)` Adds all functions (native and user-defined) used by any component of the restriction to the specified list.
    `void` | `addRowFilterTo(RowFilter filter, SecondaryIndexManager indexManager, QueryOptions options)` Adds to the specified row filter the expressions corresponding to this `Restriction`.
    `MultiCBuilder` | `appendBoundTo(MultiCBuilder builder, Bound bound, QueryOptions options)` Appends the values of the `SingleRestriction` for the specified bound to the specified builder.
    `MultiCBuilder` | `appendTo(MultiCBuilder builder, QueryOptions options)` Appends the values of this `SingleRestriction` to the specified builder.
    `SingleRestriction` | `doMergeWith(SingleRestriction otherRestriction)`
    `boolean` | `hasBound(Bound bound)` Checks if the specified bound is set or not.
    `boolean` | `isInclusive(Bound bound)` Checks if the specified bound is inclusive or not.
    `boolean` | `isSlice()`
    `protected boolean` | `isSupportedBy(Index index)` Check if this type of restriction is supported for by the specified index.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.cql3.restrictions.MultiColumnRestriction

      `getColumnDefs, getColumnsInCommons, getFirstColumn, getLastColumn, hasSupportingIndex, isMultiColumn, mergeWith`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.restrictions.SingleRestriction

      `isContains, isEQ, isIN, isLIKE, isNotNull`

    - ### Methods inherited from interface org.apache.cassandra.cql3.restrictions.Restriction

      `isOnToken`

- - ### Constructor Detail

    - #### SliceRestriction

          public SliceRestriction(java.util.List<ColumnDefinition> columnDefs,
                                  Bound bound,
                                  boolean inclusive,
                                  Term term)

  - ### Method Detail

    - #### isSlice

          public boolean isSlice()

    - #### appendTo

          public MultiCBuilder appendTo(MultiCBuilder builder,
                                        QueryOptions options)

      Description copied from interface: `SingleRestriction`
      Appends the values of this `SingleRestriction` to the specified builder.
      Parameters:
        `builder` - the `MultiCBuilder` to append to.
        `options` - the query options
      Returns:
        the `MultiCBuilder`

    - #### appendBoundTo

          public MultiCBuilder appendBoundTo(MultiCBuilder builder,
                                             Bound bound,
                                             QueryOptions options)

      Description copied from interface: `SingleRestriction`
      Appends the values of the `SingleRestriction` for the specified bound to the specified builder.
      Parameters:
        `builder` - the `MultiCBuilder` to append to.
        `bound` - the bound
        `options` - the query options
      Returns:
        the `MultiCBuilder`

    - #### isSupportedBy

          protected boolean isSupportedBy(Index index)

      Description copied from class: `MultiColumnRestriction`
      Check if this type of restriction is supported for by the specified index.
      Specified by:
        `isSupportedBy` in class `MultiColumnRestriction`
      Parameters:
        `index` - the secondary index
      Returns:
        `true` this type of restriction is supported by the specified index, `false` otherwise.

    - #### hasBound

          public boolean hasBound(Bound bound)

      Description copied from interface: `SingleRestriction`
      Checks if the specified bound is set or not.
      Parameters:
        `bound` - the bound type
      Returns:
        `true` if the specified bound is set, `false` otherwise

    - #### addFunctionsTo

          public void addFunctionsTo(java.util.List<Function> functions)

      Description copied from interface: `Restriction`
      Adds all functions (native and user-defined) used by any component of the restriction to the specified list.
      Parameters:
        `functions` - the list to add to

    - #### isInclusive

          public boolean isInclusive(Bound bound)

      Description copied from interface: `SingleRestriction`
      Checks if the specified bound is inclusive or not.
      Parameters:
        `bound` - the bound type
      Returns:
        `true` if the specified bound is inclusive, `false` otherwise

    - #### doMergeWith

          public SingleRestriction doMergeWith(SingleRestriction otherRestriction)

      Specified by:
        `doMergeWith` in class `MultiColumnRestriction`

    - #### addRowFilterTo

          public final void addRowFilterTo(RowFilter filter,
                                           SecondaryIndexManager indexManager,
                                           QueryOptions options)

      Description copied from interface: `Restriction`
      Adds to the specified row filter the expressions corresponding to this `Restriction`.
      Parameters:
        `filter` - the row filter to add expressions to
        `indexManager` - the secondary index manager
        `options` - the query options

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation